import {
  START_LOADING_ALL_PLACES, 
  LOADED_ALL_PLACES,
  START_LOADING_RANDOM_PLACE,
  LOADED_RANDOM_PLACE
} from '../actions/action_types';

export default function(state={}, action) {
  switch (action.type) {

    case START_LOADING_ALL_PLACES:
      return Object.assign({}, state, { loadingAllPlaces: true });

    case LOADED_ALL_PLACES:
      return Object.assign({}, state, {
        loadingAllPlaces: false,
        allPlaces: action.payload
      });

    case START_LOADING_RANDOM_PLACE:
      return Object.assign({}, state, {
        loadingRandomPlace: true
      });

    case LOADED_RANDOM_PLACE:
      return Object.assign({}, state, {
        loadingRandomPlace: false,
        randomPlace: action.payload.place,
        randomPlaceName: action.payload.place.name,
        randomPlaceId: action.payload.place.id,
        randomPlaceCount: action.payload.itemCount,
        randomPlaceVideos: action.payload.videos
      });

    default:
      return state;
  }
};