import config from '../config';

function getStaticMapURL(place, size='800x300') {
  const area = place.area;
  const zoom = getZoom(area);
  return `https://api.mapbox.com/v4/mapbox.emerald/pin-s-marker(${place.lng},${place.lat})/${place.lng},${place.lat},${zoom},0,0/${size}.png?access_token=${config.mapboxKey}`;
}

function getZoom(area) {
  if (area < 100000) {
    return 16;
  }
  if (area < 200000) {
    return 15;
  }
  if (area < 500000) {
    return 14;
  }
  if (area < 1000000) {
    return 13;
  }
  if (area < 2000000) {
    return 12;
  } else {
    return 10;
  }
}

export { getStaticMapURL };